Summary:	Simple interface for playing, saving, printing and solving Sudoku
Summary(pl.UTF-8):	Prosty interfejs do grania, zapisywania, drukowania i rozwiązywania Sudoku
Name:		gnome-sudoku
Version:	3.34.1
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-sudoku/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	df1edd7081f9d9cce1635d75767752ad
URL:		https://wiki.gnome.org/Apps/Sudoku
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gtk+3-devel >= 3.19.0
BuildRequires:	json-glib-devel
BuildRequires:	libgee-devel >= 0.8
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	meson >= 0.44.1
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	qqwing-devel >= 1.3.4
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.36
BuildRequires:	vala-libgee >= 0.8
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.40.0
Requires:	glib2 >= 1:2.40.0
Requires:	gtk+3 >= 3.19.0
Requires:	hicolor-icon-theme
Requires:	qqwing-libs >= 1.3.4
Provides:	gnome-games-sudoku = 1:%{version}-%{release}
Obsoletes:	gnome-games-sudoku < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Sudoku provides a simple interface for playing, saving, printing
and solving Sudoku.

%description -l pl.UTF-8
GNOME Sudoku dostarcza prosty interfejs do grania, zapisywania,
drukowania i rozwiązywania Sudoku.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-sudoku
%{_datadir}/glib-2.0/schemas/org.gnome.Sudoku.gschema.xml
%{_datadir}/metainfo/org.gnome.Sudoku.appdata.xml
%{_desktopdir}/org.gnome.Sudoku.desktop
%{_iconsdir}/hicolor/*x*/apps/org.gnome.Sudoku.png
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Sudoku.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Sudoku-symbolic.svg
%{_mandir}/man6/gnome-sudoku.6*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-sudoku.git;a=log;h=master

* Thu Nov 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 5911ec2
- updated to 3.34.1

* Mon Jul 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 639bfc4
- updated to 3.24.0

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 99d540f
- updated to 3.22.2

* Sat Nov 07 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 54bba63
- Update to 3.18.2

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 9e6fd4f
- no need for HighContrast icons cache update; release 2

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> a4cdc99
- updated to 3.18.1

* Fri Jul 24 2015 Jakub Bogusz <qboosh@pld-linux.org> baa9e2f
- updated to 3.16.0

* Tue Dec 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 885c1f0
- Update to 3.14.2

* Tue Nov 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 3e4cc95
- consistent glib dependencies, libgee version

* Mon Nov 03 2014 Marcin Banasiak <marcin.banasiak@gmail.com> e93bc9a
- Update to 3.14.1

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bca5e58
- python 3.4
- release 2 (by relup.sh)

* Mon Jun 30 2014 Jakub Bogusz <qboosh@pld-linux.org> fe7b511
- updated to 3.12.3

* Tue Jun 24 2014 Jakub Bogusz <qboosh@pld-linux.org> d0e969b
- updated to 3.12.2

* Sun Apr 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 8d28913
- Update to 3.12.1

* Sun Feb 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 6641ee5
- Initial release

